---
{
	"_label": "Accounting Knowledge"
}
---

Chart of Accounts represents a tree like representation of all accounting heads, used to represent company's financial information. There are two types of accounts: Balance Sheet and Profit and Loss Statement accounts. Balance Sheet consists of Assets and Liabilities accounts and Profit and Loss Statement accounts consists of Incomes and Expenses.

**Assets:** Bank and Cash balances, outstanding amounts of customers and all other assets are recorded here.

**Liabilities:** All the company's liabilities like shareholder's capital, outstanding amount to be paid to suppliers, taxes to be paid to concerned to authorities are recorded under this group.

**Income:** Income from direct/indirect sales.

**Expenses:** All the expenses to run the business, like salaries, purchases, rent etc. are recorded here.

### Debit and Credit

Each of these accounts are either "Debit" or "Credit" type. Assets, Expenses are "Debit" accounts and Liabilities, Incomes are "Credit" accounts.

Accounting Entries

The balance of account can be increased / decreased, depending on account type and transaction type.

<table class="table table-bordered text-center">
    <thead>
        <tr class="active">
            <td>Account Type</td>
            <td>Transaction Type</td>
            <td>Effect on account balance</td>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>Debit</td>
            <td>Debit</td>
            <td>Increases</td>
        </tr>
        <tr>
            <td>Debit</td>
            <td>Credit</td>
            <td>Decreases</td>
        </tr>
        <tr>
            <td>Credit</td>
            <td>Credit</td>
            <td>Increases</td>
        </tr>
        <tr>
            <td>Credit</td>
            <td>Debit</td>
            <td>Decreases</td>
        </tr>
    </tbody>
</table>

### Double Entry

This means that every accounting entry has two parts, one debit and one credit and must affect two separate accounts. If you add or deduct to one account, some other account somewhere else must also be affected. See the example below:

1. Company sells a laptop worth 50000 to Customer A and delivers that with an invoice.

As the company will receive a payment from customer, the customer is considered as an asset account. For booking income, company maintains an account called "Sales of Laptop". So, entries will be done in the following manner: 

<table class="table table-bordered text-center">
    <thead>
        <tr class="active">
            <td>Account</td>
            <td>Debit</td>
            <td>Credit</td>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>Customer A</td>
            <td>50000</td>
            <td></td>
        </tr>
        <tr>
            <td>Sales of Laptop</td>
            <td></td>
            <td>50000</td>
        </tr>
    </tbody>
</table>

Customer A has made the payment, so customer balance should decreased based on the paid amount, which will increase "Cash" balance.

<table class="table table-bordered text-center">
    <thead>
        <tr class="active">
            <td>Account</td>
            <td>Debit</td>
            <td>Credit</td>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>Customer A</td>
            <td></td>
            <td>50000</td>
        </tr>
        <tr>
            <td>Cash</td>
            <td>50000</td>
            <td></td>
        </tr>
    </tbody>
</table>

